#!/bin/sh
# Copyright (c) eenos.com
# Secure eenos roundcube
if [ -f /usr/local/eenos/3rdparty/webmail/config/config.inc.php ]; then
    des="$(date +%s | sha256sum | base64 | head -c 24)"
    echo "Updating des_key key .."
    sed -i -e "s/\$config\['des_key'\].*/\$config\['des_key'\]\ =\ \'$des\'\;/g" /usr/local/eenos/3rdparty/webmail/config/config.inc.php
    echo "Setting configuration permissions .."
    chmod 0755 /var/lib/roundcube
    chmod 0755 /var/lib/roundcube/pgp
    chmod 0755 /var/log/roundcube
    chown eenos:www-data /var/log/roundcube
    chown eenos:eenos /var/lib/roundcube
    chown eenos:eenos /var/lib/roundcube/pgp
    echo "Done"
fi
